library(jagsUI) # for parallel computing
library(ggmcmc)
# library(dplyr)
source("helpers.r")                     # loads variables, like semantics, R0, nm etc.
load('typicality_data.Rdata')           # loads data

dataList = list(da = da, db = db, dc = dc, dd = dd,
                nVPa = nVPa, nVPb = nVPb, nVPc = nVPc, nVPd = nVPd,
                psetM = psetM, psetMC = psetMC, pindM = pindM,
                states = states,
                semantics = semantics,
                ns = ns, nm = nm, nd = 7, R0 = R0,
                salH = c(NA, NA, NA, NA, NA, NA, NA, 1),
                salL = c(NA, NA, NA, NA, NA, NA, NA, 1))

model = "typicality.jags.r"
burnin = 10
iter = 50
out <- jags(data = dataList,
            inits = NULL,
            parameters.to.save = c("salience", "pi", "theta", "gamma", "thresholds", "sigma",
                                   "pa", "pb", "pc", "pd", "PPCa", "PPCb", "PPCc", "PPCd", "EUscaledH", "EUscaledL"),
            codaOnly = c("pa", "pb", "pc", "pd", "PPCa", "PPCb", "PPCc", "PPCd"),
            model.file = model,
            n.chains = 2,
            n.adapt = 1500,
            n.iter = iter + burnin,
            n.burnin = burnin,
            n.thin = 2, 
            DIC = TRUE,
            verbose = TRUE,
            parallel = TRUE)

ms = ggs(out$samples)

mcmcPlot(ms, "salience")

